Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707596 - net-analyzer/apinger-0.4.1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/apinger-0.4.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 17:33 UTC by Toralf Förster
Modified: 2020-02-01 00:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.64 KB, text/plain)
2020-01-31 17:33 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,282.43 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
environment (environment,53.88 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.53 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,18.90 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details
net-analyzer:apinger-0.4.1:20200131-001938.log (net-analyzer:apinger-0.4.1:20200131-001938.log,11.18 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.95 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:33:57 UTC
  212 |    fchown(fileno(pidfile),pw->pw_uid,gr?gr->gr_gid:pw->pw_gid);
      |    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -D"SYSCONFDIR=\"/etc\"" -O2 -pipe -march=native -fno-common -c -o debug.o debug.c
x86_64-pc-linux-gnu-gcc -D"SYSCONFDIR=\"/etc\"" -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o apinger apinger.o cfgparser1.o cfgparser2.o conf.o icmp.o icmp6.o main.o debug.o  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: icmp.o:(.bss+0x0): multiple definition of `targets'; apinger.o:(.bss+0x18): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: icmp6.o:(.bss+0x0): multiple definition of `targets'; apinger.o:(.bss+0x18): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 23:26:21 +0000

emerge -qpvO net-analyzer/apinger
[ebuild  N    ] net-analyzer/apinger-0.4.1
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:33:59 UTC
Created attachment 609558 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:34:02 UTC
Created attachment 609560 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:34:05 UTC
Created attachment 609562 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:34:08 UTC
Created attachment 609564 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:34:11 UTC
Created attachment 609566 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:34:13 UTC
Created attachment 609568 [details]
net-analyzer:apinger-0.4.1:20200131-001938.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:34:16 UTC
Created attachment 609570 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-01 00:15:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=045fce9aa45279bdbbfa9ce0e4b844f32ef7d337

commit 045fce9aa45279bdbbfa9ce0e4b844f32ef7d337
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-01 00:15:26 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-01 00:15:49 +0000

    net-analyzer/apinger: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707596
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/apinger/apinger-0.4.1-r1.ebuild       | 40 ++++++++++++++++++++++
 .../apinger/files/apinger-0.4.1-fno-common.patch   | 11 ++++++
 .../files/apinger-0.4.1-stray-backslash.patch      | 13 +++++++
 3 files changed, 64 insertions(+)